Bug 228026 - EL 3.0: CC for operators in chain
EL 3.0: CC for operators in chain
Status: VERIFIED FIXED
Product: javaee
Classification: Unclassified
Component: Expression Language
7.4
All All
: P3 (vote)
: 7.3.1
Assigned To: Martin Fousek
issues@javaee
73patch2-verified
:
Depends on:
Blocks:
  Show dependency treegraph
 
Reported: 2013-03-28 09:30 UTC by Vladimir Riha
Modified: 2013-05-09 13:55 UTC (History)
1 user (show)

See Also:
Issue Type: DEFECT
:


Attachments

Note You need to log in before you can comment on or make changes to this bug.
Description Vladimir Riha 2013-03-28 09:30:33 UTC
Please try following in JSP:

${[1,2,3].reverse().}

and invoke cc after "." => no suggestions

However this (albeit stupid)

${[1,2,3].reverse(a).}

works fine. As if there has to be some parameter to get code completion




Product Version: NetBeans IDE Dev (Build web-main-javaee7-189-on-20130327)
Java: 1.7.0_17; Java HotSpot(TM) Client VM 23.7-b01
Runtime: Java(TM) SE Runtime Environment 1.7.0_17-b32
System: Linux version 3.2.0-39-generic-pae running on i386; UTF-8; en_US (nb)
Comment 1 Martin Fousek 2013-03-28 10:05:12 UTC
BTW. there came specification change that ListData like [1,2,3] requires stream() call before the operator like ...
${[1,2,3].stream().reverse().}
And also there changed operators, pretty big last time changes. :/ In any case I'm pretty sure that it will fail also with the correct notation. ;)

Thanks for reporting.
Comment 2 Martin Fousek 2013-04-05 05:53:32 UTC
#{[1, 2, 3, 4, 5].stream().distinct().}

reverse() doeesn't exist in opperators yet, but you can try it i.e. with distinct() now. Fixed in web-main #7a1ef29529ab.
Comment 3 Vladimir Riha 2013-04-05 06:30:10 UTC
Thanks for fixing.

What do you mean by "reverse() doeesn't exist in opperators yet" ? Does it mean that not all operators from [1] are actually supposed to be working/being implemented?


[1] http://java.net/projects/el-spec/pages/CollectionOperations
Comment 4 Martin Fousek 2013-04-05 09:15:11 UTC
(In reply to comment #3)
> What do you mean by "reverse() doeesn't exist in opperators yet" ?

Sorry, badly said: "reverse() doeesn't exist in opperators any more".

> Does it mean that not all operators from [1] are actually supposed to be 
> working/being implemented?

Exactly, they re-worked the operators support according to the JDK8. I suppose that they are doing all operations manually now (for JDK6, JDK7) but they plan to keep it on JVM to sort, filter etc. in future. So yes, link you provided is not up to date. I think that the best information you can find in EL3.0 Public Draft Final.
Comment 5 Vladimir Riha 2013-04-05 09:22:09 UTC
Thanks for explanation, I haven't notice the wiki page is outdated...
Comment 6 Martin Fousek 2013-04-05 09:29:55 UTC
(In reply to comment #5)
> Thanks for explanation, I haven't notice the wiki page is outdated...

No problem. I had the same problem as you until I found exactly one issue raised against EL_SPEC on java.net where was that mentioned - to align the feature with JDK8.
Comment 7 Vladimir Riha 2013-04-08 06:22:02 UTC
Thanks, verified


Product Version: NetBeans IDE Dev (Build web-main-javaee7-213-on-20130407)
Updates: Updates available
Java: 1.7.0_17; Java HotSpot(TM) Client VM 23.7-b01
Runtime: Java(TM) SE Runtime Environment 1.7.0_17-b32
System: Linux version 3.2.0-39-generic-pae running on i386; UTF-8; en_US (nb)
Comment 8 Marian Mirilovic 2013-05-03 09:16:11 UTC
So, where exactly is this issue fixed ? Is it already in release73 repository ? If so, please change SW to '73patch2-fixed', thanks in advance.
Comment 9 Martin Fousek 2013-05-03 09:20:12 UTC
(In reply to comment #8)
> So, where exactly is this issue fixed ? Is it already in release73 repository ?
> If so, please change SW to '73patch2-fixed', thanks in advance.

All fixes I do/did in EE are part of the nb731. I'll update SW.
Comment 10 Vladimir Riha 2013-05-09 13:55:58 UTC
patch2 verified

Product Version: NetBeans IDE 7.3.1 (Build 201302132200)
Java: 1.7.0_21; Java HotSpot(TM) Client VM 23.21-b01
Runtime: Java(TM) SE Runtime Environment 1.7.0_21-b11
System: Linux version 3.2.0-41-generic-pae running on i386; UTF-8; en_US (nb)


By use of this website, you agree to the NetBeans Policies and Terms of Use. © 2014, Oracle Corporation and/or its affiliates. Sponsored by Oracle logo